"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _invariant = _interopRequireDefault(require("./invariant"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _default() {
  let {
    position,
    backBehavior,
    backdropOpacity,
    transitionOptions,
    backdropAnimationDuration
  } = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  (0, _invariant.default)(!backBehavior || backBehavior && backBehavior === 'clear' || backBehavior && backBehavior === 'none' || backBehavior && backBehavior === 'pop', "backBehavior should either be 'pop', 'clear' or 'none' in createModalStack()");
  (0, _invariant.default)(!backdropOpacity || backdropOpacity && typeof backdropOpacity === 'number' && backdropOpacity >= 0 && backdropOpacity <= 1, 'backdropOpacity should be a number between 0 and 1 in createModalStack()');
  (0, _invariant.default)(!backdropAnimationDuration || backdropAnimationDuration && typeof backdropAnimationDuration === 'number', 'backdropAnimationDuration should be a number in createModalStack()');
  (0, _invariant.default)(!position || position && position === 'top' || position && position === 'center' || position && position === 'bottom', "position should either be 'top', 'center' or 'bottom' in createModalStack()");
  (0, _invariant.default)(!transitionOptions || transitionOptions && typeof transitionOptions === 'function', `transitionOptions should be a function. For instance:
      const defaultModalOptions = {
        transitionOptions: animatedValue => ({
          transform: [
            {
              translateY: animatedValue.interpolate({
                inputRange: [0, 1],
                outputRange: [100, 0],
              }),
            },
          ],
        }),
      }
      }`);
}
//# sourceMappingURL=validateDefaultOptions.js.map